import { TextDisplay } from "@common/display/text";
import { Inventory } from "@common/rpg/components/inventory";
import { Position } from "@common/rpg/components/position";
import { World } from "@common/rpg/core/world";
import { TextDisplaySystem } from "@common/rpg/systems/render/text";

console.log("Hello, world 1");
export default async function main() {
    const world = new World();
    const e = world.createEntity();
    e.add(new Position(1, 1));
    e.add(new Inventory());
    console.log("Hello, world!");
    const display = new TextDisplay();
    new TextDisplaySystem(display);
    console.log("Hello, world 2");
}
